hu.akarnokd.rxjava2.util

## Class SneakyThrows

- java.lang.Object
- - hu.akarnokd.rxjava2.util.SneakyThrows

    public final class SneakyThrows
    extends java.lang.Object

Utility class to throw arbitrary Throwables.

### Method Summary

All Methods Static Methods Concrete Methods
`static <E extends java.lang.Throwable> E` `justThrow(java.lang.Throwable error)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### justThrow

    public static <E extends java.lang.Throwable> E justThrow(java.lang.Throwable error)
                                                       throws E extends java.lang.Throwable

Throws:
  `E extends java.lang.Throwable`